> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter uma sessão de ativação

> Retorna uma sessão de ativação pelo ID.

Devolve o recurso `activation_session`. O `GET` nunca reemite URL hospedada: `url` e `expires_at` sempre vêm `null`. Para renovar a URL, chame [`POST /v1/activation-sessions`](/api-reference/activation-sessions/create) com o mesmo `organization`.

## Autenticação

Requer API key de plataforma com escopo administrativo via header `Authorization: Bearer {{PLATFORM_API_KEY}}`.

## Parâmetros de caminho

<ParamField path="id" type="string" required>
  ID da sessão de ativação (`as_*`).
</ParamField>

```bash theme={"theme":"css-variables"}
curl -X GET "https://api.chargefy.io/v1/activation-sessions/as_PiQjg62kqyDjgRxU" \
  -H "Authorization: Bearer {{PLATFORM_API_KEY}}"
```

## Resposta

Mesmo formato de [`POST /v1/activation-sessions`](/api-reference/activation-sessions/create#resposta).

```json 200 theme={"theme":"css-variables"}
{
  "id": "as_PiQjg62kqyDjgRxU",
  "object": "activation_session",
  "created_at": "2026-04-30T18:30:00Z",
  "expires_at": null,
  "livemode": true,
  "metadata": {},
  "opened_at": "2026-04-30T18:30:45Z",
  "organization": "org_QrQi7FjLjHKUqs1J",
  "platform": "plat_YH8Db1p3N9KM2gCE",
  "return_url": "https://meusite.com/activation/return",
  "status": "submitted",
  "updated_at": "2026-04-30T18:32:10Z",
  "url": null
}
```

Para saber se a organização conectada à plataforma pode transacionar, consulte [`GET /v1/organizations/{id}`](/api-reference/organizations/get) usando o `organization` da sessão.

## Erros comuns

```json 401 theme={"theme":"css-variables"}
{
  "error": {
    "code": "authentication_failed",
    "message": "Invalid API key provided.",
    "type": "authentication_error"
  }
}
```

```json 404 theme={"theme":"css-variables"}
{
  "error": {
    "code": "resource_missing",
    "message": "Activation session not found.",
    "param": "id",
    "type": "invalid_request_error"
  }
}
```
